Bug 287604 - Amarok crashes when trying to save cover art for files not in the collection [@ CoverFoundDialog::saveAs]
Summary: Amarok crashes when trying to save cover art for files not in the collection ...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Tools/Cover Manager (show other bugs)
Version: 2.4.3
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-26 13:06 UTC by Martin
Modified: 2012-01-10 02:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2011-11-26 13:06:25 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.7.3 (4.7.3)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-13-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:
The crash happened three times in a row. The first time i was playing an mp3 file. When I selected track details of another track and tried to save the retrieved cover art (from discogs) Amarok crashed. Afterwards i restarted the program and retried to save the file without playing anything two times, which lead to the same crash.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7ffa43cba7a0 (LWP 14215))]

Thread 9 (Thread 0x7ff9f4bc2700 (LWP 14218)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa29528d54 in ?? () from /usr/lib/libvlccore.so.4
#2  0x00007ffa3ce1defc in start_thread (arg=0x7ff9f4bc2700) at pthread_create.c:304
#3  0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ff9f2a4f700 (LWP 14220)):
#0  0x00007fff4f5ff92c in clock_gettime ()
#1  0x00007ffa39baa07b in __GI_clock_gettime (clock_id=1, tp=0x7ff9f2a4eb20) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007ffa40ecb074 in do_gettime (frac=0x7ff9f2a4eb38, sec=0x7ff9f2a4eb30) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007ffa40f8d6ed in QTimerInfoList::updateCurrentTime (this=0x1c34bf0) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007ffa40f8da33 in QTimerInfoList::timerWait (this=0x1c34bf0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007ffa40f8c44c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7ff9f2a4ec1c) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007ffa40f8c4f5 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007ffa3b377ff2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffa3b378dfd in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffa3b379429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffa40f8cf3e in QEventDispatcherGlib::processEvents (this=0x15e4c20, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#12 0x00007ffa40f60cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007ffa40f60ef7 in QEventLoop::exec (this=0x7ff9f2a4edb0, flags=...) at kernel/qeventloop.cpp:201
#14 0x00007ffa40e7827f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#15 0x00007ffa40f43cbf in QInotifyFileSystemWatcherEngine::run (this=0x1c32880) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007ffa40e7ad05 in QThreadPrivate::start (arg=0x1c32880) at thread/qthread_unix.cpp:331
#17 0x00007ffa3ce1defc in start_thread (arg=0x7ff9f2a4f700) at pthread_create.c:304
#18 0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ff9f1315700 (LWP 14221)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa40e7b1ab in wait (time=18446744073709551615, this=0x1e8ef00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1de3fa0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffa3e3ae864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e97a10, th=0x1e90ca0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa3e3b0e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e90c50, th=0x1e90ca0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa3e3afccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ff9f1314e00, parent=0x1e97a10, th=0x1e90ca0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa3e3afd5b in ThreadWeaver::Thread::run (this=0x1e90ca0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa40e7ad05 in QThreadPrivate::start (arg=0x1e90ca0) at thread/qthread_unix.cpp:331
#8  0x00007ffa3ce1defc in start_thread (arg=0x7ff9f1315700) at pthread_create.c:304
#9  0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ff9f0b14700 (LWP 14222)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa40e7b1ab in wait (time=18446744073709551615, this=0x1e8ef00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1de3fa0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffa3e3ae864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e97a10, th=0x2009310) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa3e3b0e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e90c50, th=0x2009310) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa3e3afccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ff9f0b13e00, parent=0x1e97a10, th=0x2009310) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa3e3afd5b in ThreadWeaver::Thread::run (this=0x2009310) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa40e7ad05 in QThreadPrivate::start (arg=0x2009310) at thread/qthread_unix.cpp:331
#8  0x00007ffa3ce1defc in start_thread (arg=0x7ff9f0b14700) at pthread_create.c:304
#9  0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff9e5f78700 (LWP 14223)):
#0  0x00007ffa3b378758 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffa3b378f82 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffa3b379429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffa40f8cf3e in QEventDispatcherGlib::processEvents (this=0x230c930, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ffa40f60cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ffa40f60ef7 in QEventLoop::exec (this=0x7ff9e5f77db0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007ffa40e7827f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007ffa40f43cbf in QInotifyFileSystemWatcherEngine::run (this=0x2368870) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ffa40e7ad05 in QThreadPrivate::start (arg=0x2368870) at thread/qthread_unix.cpp:331
#9  0x00007ffa3ce1defc in start_thread (arg=0x7ff9e5f78700) at pthread_create.c:304
#10 0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff9e555b700 (LWP 14224)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa40e7b1ab in wait (time=18446744073709551615, this=0x1e8ef00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1de3fa0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffa3e3ae864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e97a10, th=0x2342290) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa3e3b0e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e90c50, th=0x2342290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa3e3afccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ff9e555ae00, parent=0x1e97a10, th=0x2342290) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa3e3afd5b in ThreadWeaver::Thread::run (this=0x2342290) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa40e7ad05 in QThreadPrivate::start (arg=0x2342290) at thread/qthread_unix.cpp:331
#8  0x00007ffa3ce1defc in start_thread (arg=0x7ff9e555b700) at pthread_create.c:304
#9  0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff9e4b4f700 (LWP 14225)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa40e7b1ab in wait (time=18446744073709551615, this=0x1e8ef00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1de3fa0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ffa3e3ae864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e97a10, th=0x23a72f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa3e3b0e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e90c50, th=0x23a72f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa3e3afccf in ThreadWeaver::ThreadRunHelper::run (this=0x7ff9e4b4ee00, parent=0x1e97a10, th=0x23a72f0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa3e3afd5b in ThreadWeaver::Thread::run (this=0x23a72f0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa40e7ad05 in QThreadPrivate::start (arg=0x23a72f0) at thread/qthread_unix.cpp:331
#8  0x00007ffa3ce1defc in start_thread (arg=0x7ff9e4b4f700) at pthread_create.c:304
#9  0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff9e3729700 (LWP 14236)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa3d3f9fe2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007ffa3d3fa019 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007ffa3ce1defc in start_thread (arg=0x7ff9e3729700) at pthread_create.c:304
#4  0x00007ffa4061a89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffa43cba7a0 (LWP 14215)):
[KCrash Handler]
#6  0x00007ffa42d3c11a in operator-> (this=<optimized out>) at /usr/include/KDE/../ksharedptr.h:126
#7  CoverFoundDialog::saveAs (this=0x4686250) at ../../src/covermanager/CoverFoundDialog.cpp:375
#8  0x00007ffa42d3d08e in CoverFoundDialog::qt_metacall (this=0x4686250, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0x7fff4f5d3410) at ./CoverFoundDialog.moc:137
#9  0x00007ffa40f74eba in QMetaObject::activate (sender=0x4955a50, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff4f5d3410) at kernel/qobject.cpp:3278
#10 0x00007ffa4195bb62 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#11 0x00007ffa4195bd4f in QAction::activate (this=0x4955a50, event=<optimized out>) at kernel/qaction.cpp:1257
#12 0x00007ffa41d96609 in QMenuPrivate::activateCausedStack (this=0x4957090, causedStack=..., action=0x4955a50, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1005
#13 0x00007ffa41d9c252 in QMenuPrivate::activateAction (this=0x4957090, action=0x4955a50, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1097
#14 0x00007ffa419b2c9a in QWidget::event (this=0x7fff4f5d48c0, event=0x7fff4f5d3c70) at kernel/qwidget.cpp:8295
#15 0x00007ffa41d9d7fb in QMenu::event (this=0x7fff4f5d48c0, e=0x7fff4f5d3c70) at widgets/qmenu.cpp:2405
#16 0x00007ffa41962424 in notify_helper (e=0x7fff4f5d3c70, receiver=0x7fff4f5d48c0, this=0x1615170) at kernel/qapplication.cpp:4486
#17 QApplicationPrivate::notify_helper (this=0x1615170, receiver=0x7fff4f5d48c0, e=0x7fff4f5d3c70) at kernel/qapplication.cpp:4458
#18 0x00007ffa41967c6b in QApplication::notify (this=<optimized out>, receiver=0x7fff4f5d48c0, e=0x7fff4f5d3c70) at kernel/qapplication.cpp:4047
#19 0x00007ffa436c3126 in KApplication::notify (this=0x7fff4f5d60c0, receiver=0x7fff4f5d48c0, event=0x7fff4f5d3c70) at ../../kdeui/kernel/kapplication.cpp:311
#20 0x00007ffa40f61afc in QCoreApplication::notifyInternal (this=0x7fff4f5d60c0, receiver=0x7fff4f5d48c0, event=0x7fff4f5d3c70) at kernel/qcoreapplication.cpp:787
#21 0x00007ffa419633f2 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#22 QApplicationPrivate::sendMouseEvent (receiver=0x7fff4f5d48c0, event=0x7fff4f5d3c70, alienWidget=0x0, nativeWidget=0x7fff4f5d48c0, buttonDown=0x0, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3146
#23 0x00007ffa419e3001 in QETWidget::translateMouseEvent (this=0x7fff4f5d48c0, event=<optimized out>) at kernel/qapplication_x11.cpp:4502
#24 0x00007ffa419e18be in QApplication::x11ProcessEvent (this=0x7fff4f5d60c0, event=0x7fff4f5d4490) at kernel/qapplication_x11.cpp:3690
#25 0x00007ffa41a0a412 in x11EventSourceDispatch (s=0x1607ea0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#26 0x00007ffa3b378a5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007ffa3b379258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007ffa3b379429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007ffa40f8ced6 in QEventDispatcherGlib::processEvents (this=0x1473f40, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#30 0x00007ffa41a0a07e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#31 0x00007ffa40f60cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#32 0x00007ffa40f60ef7 in QEventLoop::exec (this=0x7fff4f5d4860, flags=...) at kernel/qeventloop.cpp:201
#33 0x00007ffa41d99711 in QMenu::exec (this=<optimized out>, p=..., action=0x0) at widgets/qmenu.cpp:2049
#34 0x00007ffa42d32893 in CoverFoundDialog::itemMenuRequested (this=0x4686250, pos=<optimized out>) at ../../src/covermanager/CoverFoundDialog.cpp:366
#35 0x00007ffa42d3d051 in CoverFoundDialog::qt_metacall (this=0x4686250, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0x7fff4f5d4ad0) at ./CoverFoundDialog.moc:133
#36 0x00007ffa40f74eba in QMetaObject::activate (sender=0x46a64d0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff4f5d4ad0) at kernel/qobject.cpp:3278
#37 0x00007ffa419a9372 in QWidget::customContextMenuRequested (this=<optimized out>, _t1=<optimized out>) at .moc/release-shared/moc_qwidget.cpp:360
#38 0x00007ffa419b3631 in QWidget::event (this=0x46a64d0, event=0x7fff4f5d5490) at kernel/qwidget.cpp:8465
#39 0x00007ffa41d5b4f6 in QFrame::event (this=0x46a64d0, e=0x7fff4f5d5490) at widgets/qframe.cpp:557
#40 0x00007ffa41e6c19b in QAbstractItemView::viewportEvent (this=0x46a64d0, event=0x7fff4f5d5490) at itemviews/qabstractitemview.cpp:1628
#41 0x00007ffa40f61c88 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x469b240, event=0x7fff4f5d5490) at kernel/qcoreapplication.cpp:902
#42 0x00007ffa419623ef in notify_helper (e=0x7fff4f5d5490, receiver=0x469b240, this=0x1615170) at kernel/qapplication.cpp:4482
#43 QApplicationPrivate::notify_helper (this=0x1615170, receiver=0x469b240, e=0x7fff4f5d5490) at kernel/qapplication.cpp:4458
#44 0x00007ffa41967779 in QApplication::notify (this=<optimized out>, receiver=0x469b240, e=0x7fff4f5d5490) at kernel/qapplication.cpp:4126
#45 0x00007ffa436c3126 in KApplication::notify (this=0x7fff4f5d60c0, receiver=0x469b240, event=0x7fff4f5d5490) at ../../kdeui/kernel/kapplication.cpp:311
#46 0x00007ffa40f61afc in QCoreApplication::notifyInternal (this=0x7fff4f5d60c0, receiver=0x469b240, event=0x7fff4f5d5490) at kernel/qcoreapplication.cpp:787
#47 0x00007ffa419e29aa in sendSpontaneousEvent (event=0x7fff4f5d5490, receiver=0x469b240) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#48 QETWidget::translateMouseEvent (this=0x4686250, event=<optimized out>) at kernel/qapplication_x11.cpp:4573
#49 0x00007ffa419e18be in QApplication::x11ProcessEvent (this=0x7fff4f5d60c0, event=0x7fff4f5d5c80) at kernel/qapplication_x11.cpp:3690
#50 0x00007ffa41a0a412 in x11EventSourceDispatch (s=0x1607ea0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#51 0x00007ffa3b378a5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007ffa3b379258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007ffa3b379429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#54 0x00007ffa40f8ced6 in QEventDispatcherGlib::processEvents (this=0x1473f40, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#55 0x00007ffa41a0a07e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#56 0x00007ffa40f60cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#57 0x00007ffa40f60ef7 in QEventLoop::exec (this=0x7fff4f5d6050, flags=...) at kernel/qeventloop.cpp:201
#58 0x00007ffa40f65789 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#59 0x000000000040916e in main (argc=1, argv=0x7fff4f5d86c8) at ../../src/main.cpp:289

This bug may be a duplicate of or related to bug 251250.

Possible duplicates by query: bug 251250.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-11-26 16:26:52 UTC
Could you please check this comment and try to see if that helps? -> https://bugs.kde.org/show_bug.cgi?id=251250#c2
Comment 2 Martin 2011-11-26 18:39:47 UTC
Ok, it seems that the bug is only valid for items which are not in the Amarok database i.e. new files or renamed ones (but reproducible with those). Does it still count as bug or is it just a missing feature? If so, a warning/clarification would be nice. Anyway, thank you for pointing me to that comment. I did not read it carefully enough last time.
Comment 3 Myriam Schweingruber 2011-11-30 20:44:23 UTC
Yes, this still counts as a bug as it shouldn't crash. I changed the title accordingly.
Comment 4 Rick W. Chen 2011-12-01 02:37:51 UTC
Git commit 0a84b26398ac8d859144c37d5e426f96e918d3e6 by Rick W. Chen.
Committed on 01/12/2011 at 03:27.
Pushed by rickc into branch 'master'.

Disable cover fetching action for tracks not in the collection

BUG: 287604
FIXED-IN: 2.5

M  +2    -0    ChangeLog
M  +6    -0    src/covermanager/CoverFetchingActions.cpp
M  +8    -1    src/covermanager/CoverFoundDialog.cpp

http://commits.kde.org/amarok/0a84b26398ac8d859144c37d5e426f96e918d3e6
Comment 5 Matěj Laitl 2012-01-10 02:02:48 UTC
Git commit b9ba782d7222e82fe9546b5c891855a93d421ad0 by Matěj Laitl.
Committed on 05/01/2012 at 18:05.
Pushed by laitl into branch 'master'.

CoverFetchAction: disable according to canUpdateImage() method

Previous algorithm only worked from MetaFile::Album, this one works for
it and for all albums that correctly implement Meta::Album interface.

M  +7    -6    src/covermanager/CoverFetchingActions.cpp

http://commits.kde.org/amarok/b9ba782d7222e82fe9546b5c891855a93d421ad0